#include "Process.h"

#include <utility>

Process::Process(const unsigned int id, std::vector<PTE> pageTable, const unsigned int executionTime)
: pageTable(std::move(pageTable)), executionTime(executionTime), id(id) {
}

bool Process::is_finished(const unsigned int elapsedTime) const {
    return elapsedTime >= executionTime;
}
