#ifndef PROCESS_H
#define PROCESS_H

#include "PageTable.h"

class Process {
    public:
        std::vector<PTE> pageTable;
        unsigned int executionTime, id;
        Process(unsigned int id, std::vector<PTE> pageTable, unsigned int executionTime);
        [[nodiscard]] bool is_finished(unsigned int elapsedTime) const;
};



#endif //PROCESS_H
